Bug 484804 - lvm2-monitor hangs if you have LVs on Virtual Disks
lvm2-monitor hangs if you have LVs on Virtual Disks
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Petr Rockai
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 18:51 EST by Hector Arteaga
Modified: 2010-11-08 19:19 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-19 10:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hector Arteaga 2009-02-09 18:51:58 EST
Description of problem:
lvm2-monitor hangs if you have Logical volumes created on virtual disks on a Virtul Machine.  Essentially if you have logical volumes created on a logical volume presented to a VM as a VD the service hangs.

Version-Release number of selected component (if applicable):
RedHat 5.3  
lvm2-2.02.40-6.el5

How reproducible:
100% so far

Steps to Reproduce:
1.  Create a Linux (RH5.3) virtual machine
2.  on a storage device, create a logical volume
3.  Present that logical volume as a virtual disk to the VM created
4.  From the VM create a logical volume on the VD that you presented.
5.  Stop and restart the lvm2-monitor service on the host (not the VM)
Comment 1 Petr Rockai 2009-03-01 08:14:07 EST
Hi,

I need some more data here.

1) Do you get anything interesting in syslog on the host?
2) Could you try enabling monitoring for the LV in question manually with lvchange --monitor y after taking monitoring down?
3) Do you have any mirrored or snapshotted LVs in the VG in question? Is the LV you are exporting to the virtual machine snapshotted or mirrored?

Thanks!
Comment 3 Petr Rockai 2010-05-19 10:22:44 EDT
Hi,

this has been NEEDINFO for over a year now. I'm closing this, in case you still experience the problem or run into it again, please reopen the bug.

Yours,
   Petr.

Note You need to log in before you can comment on or make changes to this bug.